"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_emergency_update_model = require("./model.js");
const ME_emergency_update_method = require("./method.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_cell_textarea2 + _easycom_hs_upload2 + _easycom_hs_footer2)();
}
const _easycom_hs_cell_textarea = () => "../../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_upload = () => "../../../components/hs-upload/hs-upload.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_cell_textarea + _easycom_hs_upload + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      ME_emergency_update_model.useModel.formData.value = { type: e == null ? void 0 : e.type, id: e == null ? void 0 : e.id, emergency_events_id: e == null ? void 0 : e.id };
      common_vendor.index.setNavigationBarTitle({
        title: e == null ? void 0 : e.type
      });
    });
    common_vendor.onShow(() => {
      var _a;
      (_a = ME_emergency_update_method.method) == null ? void 0 : _a.init();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m;
      return common_vendor.e({
        a: ((_c = (_b = (_a = common_vendor.unref(ME_emergency_update_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.type) === "申请关闭"
      }, ((_f = (_e = (_d = common_vendor.unref(ME_emergency_update_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.type) === "申请关闭" ? {
        b: common_vendor.o(($event) => common_vendor.unref(ME_emergency_update_model.useModel).formData.value.handled_result = $event),
        c: common_vendor.p({
          required: true,
          title: "处理结果",
          placeholder: "请输入处理结果",
          valueModel: common_vendor.unref(ME_emergency_update_model.useModel).formData.value.handled_result
        }),
        d: common_vendor.o(($event) => common_vendor.unref(ME_emergency_update_model.useModel).formData.value.introspection = $event),
        e: common_vendor.p({
          borderTop: true,
          title: "反思与总结",
          placeholder: "请输入反思与总结",
          valueModel: common_vendor.unref(ME_emergency_update_model.useModel).formData.value.introspection
        })
      } : {}, {
        f: ((_i = (_h = (_g = common_vendor.unref(ME_emergency_update_model.useModel)) == null ? void 0 : _g.formData) == null ? void 0 : _h.value) == null ? void 0 : _i.type) === "更新进度"
      }, ((_l = (_k = (_j = common_vendor.unref(ME_emergency_update_model.useModel)) == null ? void 0 : _j.formData) == null ? void 0 : _k.value) == null ? void 0 : _l.type) === "更新进度" ? {
        g: common_vendor.o(($event) => common_vendor.unref(ME_emergency_update_model.useModel).formData.value.content = $event),
        h: common_vendor.p({
          required: true,
          title: "跟进内容",
          placeholder: "请输入跟进内容",
          valueModel: common_vendor.unref(ME_emergency_update_model.useModel).formData.value.content
        }),
        i: common_vendor.o(($event) => common_vendor.unref(ME_emergency_update_model.useModel).formData.value.attachments = $event),
        j: common_vendor.p({
          title: "上传图片",
          count: 10,
          borderTop: true,
          valueModel: common_vendor.unref(ME_emergency_update_model.useModel).formData.value.attachments
        })
      } : {}, {
        k: common_vendor.o((_m = common_vendor.unref(ME_emergency_update_method.method)) == null ? void 0 : _m.handleSubmit),
        l: common_vendor.p({
          btnParimaryName: "提交"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/emergency/update/index.vue"]]);
wx.createPage(MiniProgramPage);
